Bug 101945 - Display information about LibreOffice during install
Summary: Display information about LibreOffice during install
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-06 19:17 UTC by Aron Budea
Modified: 2016-09-23 00:19 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2016-09-06 19:17:28 UTC
Buovjaga came up with the idea that the installer could display information on graphics during install (like Linux distribs do).

Some suggestions:
-general main features,
-new features,
-extension site,
-support site,
-other community/contribution sites/options.

I assume this kind of setup would be useful for those companies that ship commercial LibreOffice builds. (so maybe they'd like to work on the feature? :))
Comment 1 Adolfo Jayme 2016-09-06 20:04:06 UTC
I don’t think we should do this. Installation wizards have been historically (read: the 90s) abused to display all kinds of random information, instead of providing a streamlined, straight-to-the-point experience. In fact, we should be reducing our installation wizard by, for example, dropping the much reviled “Welcome” screen and reduce the amount of “Next… Next… Next” that has become so ingrained in users’ habits to the point they don’t actually read any of the wizard’s contents.

If our website is failing to communicate:

> general main features,
> new features,
> extension site,
> support site,
> other community/contribution sites/options

… then we should be reviewing the site’s structure. None of the above belongs in the installation UI. It is not a place for advertising, and it is not effective at being one (because users won’t read it, as explained above).
Comment 2 Aron Budea 2016-09-07 03:54:34 UTC
Okay, I can agree half of that, but I don't think an image slideshow during installation (to be precise, when LO is being installed to disk), which is absolutely dead time otherwise is detrimental to the installation experience.

So yeah, then don't add anything on main features to it, because those are obvious, only the rest, and not just anything marketing-speak, but carefully selected details that can be useful.

My concern is that exploring the site is a conscious, and not even minor effort (yes, I think the site structure could be revised as well). Consequently I don't think a lot of people are aware of those options.

Do you mind if we keep this open for a bit to have a meaningful discussion on the topic? If the conclusion is that it's bad for the user experience, we can close it afterwards. Thanks!
Comment 3 Heiko Tietze 2016-09-07 08:07:48 UTC
Running Arch Linux I wouldn't see any fancy information. GUI installers from the various distributions may also present what the distro wants to add there. So this proposal would be relevant for Windows only. 

And while the installation of a OS still takes some time, which could be used to show additional information, the average program is updated quickly. As Adolfo said, the slideshow would be 90th and slow down the installation.

We also had/have a discussion to show what's new in an extra dialog after the first start. This way we have more control what happens on the user side.

WONTFIX in my opinion.
Comment 4 Heiko Tietze 2016-09-07 08:09:23 UTC Comment hidden (no-value)
Comment 5 Heiko Tietze 2016-09-07 08:12:55 UTC
(In reply to Heiko Tietze from comment #3)
> We also had/have a discussion to show what's new in an extra dialog after
> the first start. This way we have more control what happens on the user side.

Bug 69042
Comment 6 Aron Budea 2016-09-07 09:16:55 UTC
You're right, this would be Windows only. The installer is slow there, takes minutes to install/update on my system (could be faster with SSDs). I think there's plenty of free time to show stuff there (of course I wouldn't to slow down the process further).
Comment 7 Heiko Tietze 2016-09-07 09:40:46 UTC
Italo, what do you think about the proposal from the marketing POV?
Comment 8 Cor Nouws 2016-09-07 09:50:58 UTC
I just like the idea that in the - indeed long visible - Windows installer shows some attractive marketing work. Sorry for that being misuse ;)
Comment 9 Italo Vignoli 2016-09-10 08:58:50 UTC
Having abandoned Windows a while ago, I do not know how much time we would have to show some information about the product. I hope we are speaking about seconds. In general, I think we could find something nice to show, but then we should also change it quite frequently (as I find the Ubuntu slide show quite boring after a while).
Comment 10 Cor Nouws 2016-09-10 14:44:28 UTC
(In reply to Italo Vignoli from comment #9)
> Having abandoned Windows a while ago, I do not know how much time we would
> have to show some information about the product. I hope we are speaking
> about seconds. 

So I tested this with a Win 7 VM and 3 Gig memory in a laptop with Intel i5 5th generation.
There is an initial ~5 seconds for some preparations.
Then a ~30 seconds for installation.
So that is the dialogs with the progress bar.
Before there are two and afterwards one windows asking OK,path and such.
Comment 11 Aron Budea 2016-09-10 21:08:00 UTC
I timed the install process (after initial choices and permission request), too, it takes:
 - ~45 seconds on my computer (~2 years old AMD machine, with SSD),
 - ~55 seconds on the same computer if the target drive is not on SSD,
 - ~1:30 on another older computer (~9 years old, with SSD).
Comment 12 Adolfo Jayme 2016-09-12 00:18:37 UTC
Our Windows installer is too slow already in many systems, and we should be speeding it up, not taking advantage of its slowness to display ads in it.
Comment 13 V Stuart Foote 2016-09-12 00:46:22 UTC
(In reply to Adolfo Jayme from comment #12)
> Our Windows installer is too slow already in many systems, and we should be
> speeding it up, not taking advantage of its slowness to display ads in it.

+1
Comment 14 Heiko Tietze 2016-09-12 09:35:21 UTC
Okay, so next question: Who will maintain the slide show? Sounds to me like a task for the packagers together with marketing. CC'ing Cloph.
Comment 15 Buovjaga 2016-09-15 10:01:30 UTC
I'm fine with WONTFIX for this.
Comment 16 Heiko Tietze 2016-09-15 14:27:50 UTC
Talked in the ESC about this idea. It is refused for now since keeping the slideshow up-to-date is a maintenance nightmare.
Comment 17 Aron Budea 2016-09-23 00:19:10 UTC
Just a note on installation time:
upgrading on Windows actually takes several minutes.